View Issue Details

IDProjectCategoryView StatusLast Update
0016209ScribusStylespublic2020-08-11 20:56
Reporterpsaikido Assigned Tojghali  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformlinuxOSmintOS Versionulaya 20
Product Version1.5.5 
Target VersionFixed in Version1.5.6.svn 
Summary0016209: Modifications in Document Setup->Tables of Contents not being applied
DescriptionUser created paragraph styles are not being saved.
Steps To ReproduceIn Style Manager create a clone of the Default Paragraph Style. Name it and then go to Document Setup then Tables of Contents and try and apply that paragraph style. I find it is not listed. On restarting scribus the new style is no longer in the Style Manager.
TagsNo tags attached.
PatchNo

Activities

psaikido

2020-08-08 10:24

reporter   ~0047917

I guessed that I needed to 'apply' the new style in the Style Manager. The buttons are off the bottom of the laptop screen and I could find no way to see them. Now in Document Setup->Tables of Contents I can choose the listed style but it does not use the style when I regenerate the ToC and on going back it has replaced it with the default.

PeterBenedek

2020-08-08 11:06

developer   ~0047918

"The buttons are off the bottom of the laptop screen and I could find no way to see them."

Known problem. Keep down ALT button and move the style window.

MoveWindow.gif (969,192 bytes)
MoveWindow.gif (969,192 bytes)

jghali

2020-08-09 09:54

administrator   ~0047920

>> I guessed that I needed to 'apply' the new style in the Style Manager.

Yes, any style modification including new styles will become available to document only after clicking Apply or Done buttons.

jghali

2020-08-09 09:59

administrator   ~0047921

>> Now in Document Setup->Tables of Contents I can choose the listed style but it does not use the style when I regenerate the ToC

You have to click the table of content item in the list box before applying any modification. But there is indeed a bug here as this behavior is misleading. I just committed a fix.

psaikido

2020-08-09 10:01

reporter   ~0047922

Ok brilliant, thanks for the responses. Incidentally, on linux mint one has to use 'alt+f7' to move the Style Manager so that the bottom buttons can be seen.

Issue History

Date Modified Username Field Change
2020-08-08 10:10 psaikido New Issue
2020-08-08 10:24 psaikido Note Added: 0047917
2020-08-08 11:06 PeterBenedek File Added: MoveWindow.gif
2020-08-08 11:06 PeterBenedek Note Added: 0047918
2020-08-08 11:36 jghali Severity block => major
2020-08-09 09:54 jghali Note Added: 0047920
2020-08-09 09:56 jghali Summary Styles not saving => Modifications in Document Setup->Tables of Contents not being applied
2020-08-09 09:59 jghali Note Added: 0047921
2020-08-09 10:01 psaikido Note Added: 0047922
2020-08-09 10:03 jghali Assigned To => jghali
2020-08-09 10:03 jghali Status new => resolved
2020-08-09 10:03 jghali Resolution open => fixed
2020-08-09 10:03 jghali Fixed in Version => 1.5.6.svn
2020-08-11 20:56 cbradney Status resolved => closed